Page MenuHomePhabricator

[Compact links] The "..." button should be kept pressed while the panel is open
Closed, ResolvedPublic

Description

Considering the lack of an explicit close action, that will help to communicate that you can close the panel by clicking there again (in addition to click outside the list of languages) and avoid users to spend some seconds wondering how to close it.

(Copied as is from Pau's specifications.)


Version: master
Severity: enhancement

Details

Reference
bz68078
Related Gerrit Patches:
mediawiki/extensions/UniversalLanguageSelector : masterCompact links: The trigger kept pressed while the panel is open

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:35 AM
bzimport set Reference to bz68078.
bzimport added a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2015, 9:03 AM
Liuxinyu970226 set Security to None.Sep 5 2015, 9:03 AM

Does "kept pressed" mean "kept grey"?

Does "kept pressed" mean "kept grey"?

Yes. The idea is to keep the button as pressed (active state being of a darker grey) while the language selector panel is shown.
This is not a big blocker (since it does not prevent regular operation), but can help to better connect the button with the panel.

Nemo_bis lowered the priority of this task from Medium to Low.Jan 5 2016, 11:50 AM

Change 284153 had a related patch set uploaded (by Santhosh):
Compact links: The trigger kept pressed while the panel is open

https://gerrit.wikimedia.org/r/284153

Change 284153 merged by jenkins-bot:
Compact links: The trigger kept pressed while the panel is open

https://gerrit.wikimedia.org/r/284153

santhosh closed this task as Resolved.May 2 2016, 4:42 AM
Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint Break board.May 2 2016, 6:35 AM